Extending Qt Creator Manual | TabSettingsWidget

Extending Qt Creator Manual 4.5.2

# TabSettingsWidget Class

(TextEditor::TabSettingsWidget)

- List of all members, including inherited members

## Public Types

enum | CodingStyleLink { CppLink, QtQuickLink }

## Public Functions

| TabSettingsWidget(QWidget *parent = 0)
| ~TabSettingsWidget()
void | setCodingStyleWarningVisible(bool visible)
void | setFlat(bool on)
void | setTabSettings(const TextEditor::TabSettings &s)
TabSettings | tabSettings() const

## Signals

void | codingStyleLinkClicked(TextEditor::TabSettingsWidget::CodingStyleLink link)
void | settingsChanged(const TextEditor::TabSettings &)

## Member Type Documentation

### enum TabSettingsWidget::CodingStyleLink

## Member Function Documentation

### TabSettingsWidget::TabSettingsWidget(QWidget *parent = 0)

Default constructs an instance of TabSettingsWidget.

### TabSettingsWidget::~TabSettingsWidget()

Destroys the instance of TabSettingsWidget.

### `[signal]` void TabSettingsWidget::codingStyleLinkClicked(TextEditor::TabSettingsWidget::CodingStyleLink link)

### void TabSettingsWidget::setCodingStyleWarningVisible(bool visible)

### void TabSettingsWidget::setFlat(bool on)

### void TabSettingsWidget::setTabSettings(const TextEditor::TabSettings &s)

See also tabSettings().

### `[signal]` void TabSettingsWidget::settingsChanged(const TextEditor::TabSettings &)

### TabSettings TabSettingsWidget::tabSettings() const

See also setTabSettings().